/***=
  *   Header lines are bypassed.
  *   The name line that is first encountered along
  *   with the info lines, if any, that follow are printed.
  *   After this, rewind(ifp) is invoked.
=***/

#include "grade.h"

void snapshot(FILE* ifp)
{
   char   line[maxline], *p;

   while ((p = fgets(line, maxline, ifp)) != NULL && !isname(line))
      ;                                    /* run through header lines */
   if (p == NULL) {
      printf("There are no name lines in your database - bye.\n\n");
      exit(1);
   }
   else
      do {
	 printf("%s", line);
	 p = fgets(line, maxline, ifp);
      } while (p != NULL && !isname(line));
   printf("\n");
   rewind(ifp);
}
