#include "grade.h"

void capitalize(char* s)
{
   char    c;
   char*   p;

   for (p = s; (c = *p) != '\0'; ++p) {
      if (islower(c))
	 *p = toupper(c);
   }
}

cchr* report(off_on val)
{
   return ((val == off) ? "off" : "on");
}

void whoops_not_a_score_line(int cnt, cchr* line)
{
   assert(!isscore(line));
   cout << "---\n"
           "WHOOPS:\n"
           "\n"
           "   You requested to break line " << cnt << ", but this\n"
           "   line is not a score line.  Here is the line:\n"
           "\n"
           "      line = " << line << "\n"
           "\n"
           "Do it again.\n";
   exit(1);
}

void whoops_not_enough_scores(int cnt, int m, cchr* line)
{
   char*        q;
   ostrstream   oss;

   assert(isscore(line));
   assert(cnt == 0 || cnt == 1);
   if (cnt == 0)
      oss << "Line number " << m << " has no scores." << ends;
   else
      oss << "Line number " << m << " has only one score." << ends;
   q = oss.str();
   cout << "---\n"
           "WHOOPS:\n"
           "\n"
           "   " << q << "\n"
           "   Two or more scores are needed to break a line.\n"
           "   Here is the line:\n"
           "\n"
           "      line = << line\n"
           "\n"
	   "Do it again.\n"
	   "\n";
   delete [] q;
}
