/***
  *   vsindex := variable string index.
  *
  *   vsindex(s, t) look in s for variations of t.
  *
  *   Typical input for t is "total".
  *   The variations on this string would then be
  *      v1 = "Total"  and  v2 = "TOTAL" .
***/

#include "grade.h"

char* vsindex(char* s, char* t)
{
   /*
   // v1 and v2 are variations on t.
   */
   char    v1[maxline];
   char    v2[maxline];
   char*   p;

   if ((p = strstr(s, t)) != NULL)
      return p;
   strcpy(v1, t);
   if (islower(*v1))
      *v1 = toupper(*v1);
   if ((p = strstr(s, v1)) != NULL)
      return p;
   strcpy(v2, t);
   for (p = v2; *p != '\0'; ++p)
      if (islower(*p))
	 *p = toupper(*p);
   if ((p = strstr(s, v2)) != NULL)
      return p;
   return NULL;
}
